## org.apache.lucene.search.regex
Class RegexQuery

    java.lang.Object
      org.apache.lucene.search.Query
          org.apache.lucene.search.MultiTermQuery
              org.apache.lucene.search.regex.RegexQuery

All Implemented Interfaces:
  Serializable, Cloneable, RegexQueryCapable

    public class RegexQuery

extends MultiTermQuery
implements RegexQueryCapable

Implements the regular expression term search query. The expressions supported depend on the regular expression implementation used by way of the `RegexCapabilities` interface.

See Also:
  `RegexTermEnum`, Serialized Form

Constructor Summary
`RegexQuery(Term term)` Constructs a query for terms matching `term`.

Method Summary
`boolean` `equals(Object o)`
`protected FilteredTermEnum` `getEnum(IndexReader reader)` Construct the enumeration to be used, expanding the pattern term.
`RegexCapabilities` `getRegexImplementation()`
`int` `hashCode()`
`void` `setRegexImplementation(RegexCapabilities impl)` Defines which `RegexCapabilities` implementation is used by this instance.

Methods inherited from class org.apache.lucene.search.MultiTermQuery
`getTerm, rewrite, toString`

Methods inherited from class org.apache.lucene.search.Query
`clone, combine, createWeight, extractTerms, getBoost, getSimilarity, mergeBooleanQueries, setBoost, toString, weight`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegexQuery

    public RegexQuery(Term term)

  Constructs a query for terms matching `term`.

Method Detail

### setRegexImplementation

    public void setRegexImplementation(RegexCapabilities impl)

  Defines which `RegexCapabilities` implementation is used by this instance.

  Specified by:
    `setRegexImplementation` in interface `RegexQueryCapable`
  Parameters:
    `impl` -

### getRegexImplementation

    public RegexCapabilities getRegexImplementation()

  Specified by:
    `getRegexImplementation` in interface `RegexQueryCapable`
  Returns:
    The implementation used by this instance.

### getEnum

    protected FilteredTermEnum getEnum(IndexReader reader)
                                throws IOException

  Description copied from class: `MultiTermQuery`
  Construct the enumeration to be used, expanding the pattern term.

  Specified by:
    `getEnum` in class `MultiTermQuery`
  Throws:
    `IOException`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `MultiTermQuery`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `MultiTermQuery`

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.